<?php

if (!isset($relativePath))
    $relativePath = "";

if (!isset($pageScripts))
    $pageScripts = "";

if (!isset($hasHeader))
    $hasHeader = false;

?>

<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title><?= $pageTitle ?> | Proximo</title>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/libs/bootstrap.min.css" media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/libs/jquery-confirm.min.css" media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/libs/animatecss.css" media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/general.css" media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/index.css" media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/hamburger.css"
          media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/sidenav.css" media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="<?= $relativePath ?>assets/css/bootstrapOverwrite.css" media="screen,projection"/>
    <link rel="icon" type="image/png" href="<?= $relativePath ?>assets/images/favicon.png">
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>

<body>

<div id="mainContainer">


    <?php
    if (isset($header)) {
        echo $header;
    }
    include($relativePath . "includes/navbar.php");
    include($relativePath . "includes/sidenav.php");
    ?>
    <div class="mt-4" id="contentContainer">
        <?= $pageContent ?>
    </div>

    <?php include($relativePath . "includes/footer.php") ?>
</div>

<div id="scrollIndicator" style="display: none;">
    <i class="fas fa-angle-double-down"></i>
</div>

<!--JavaScript at end of body for optimized loading-->
<script type="text/javascript" src="<?= $relativePath ?>assets/js/libs/jquery.min.js"></script>
<script type="text/javascript" src="<?= $relativePath ?>assets/js/libs/bootstrap.min.js"></script>
<script type="text/javascript" src="<?= $relativePath ?>assets/js/libs/jquery-confirm.min.js"></script>
<script type="text/javascript" src="<?= $relativePath ?>assets/js/libs/sortable.min.js"></script>
<script type="text/javascript" src="<?= $relativePath ?>assets/js/init.js"></script>
<script type="text/javascript" src="<?= $relativePath ?>assets/js/sidenav.js"></script>
<?= $pageScripts ?>

</body>
</html>
